FairMQSocket Class Referenceabstract
Inheritance diagram for FairMQSocket:
[legend]

## Public Member Functions

virtual std::string | GetId ()=0
virtual bool | Bind (const std::string &address)=0
virtual void | Connect (const std::string &address)=0
virtual int | Send (FairMQMessagePtr &msg, int timeout=0)=0
virtual int | Receive (FairMQMessagePtr &msg, int timeout=0)=0
virtual int64_t | Send (std::vector< std::unique_ptr< FairMQMessage >> &msgVec, int timeout=0)=0
virtual int64_t | Receive (std::vector< std::unique_ptr< FairMQMessage >> &msgVec, int timeout=0)=0
virtual int | TrySend (FairMQMessagePtr &msg)=0
virtual int | TryReceive (FairMQMessagePtr &msg)=0
virtual int64_t | TrySend (std::vector< std::unique_ptr< FairMQMessage >> &msgVec)=0
virtual int64_t | TryReceive (std::vector< std::unique_ptr< FairMQMessage >> &msgVec)=0
virtual void * | GetSocket () const =0
virtual int | GetSocket (int nothing) const =0
virtual void | Close ()=0
virtual void | SetOption (const std::string &option, const void *value, size_t valueSize)=0
virtual void | GetOption (const std::string &option, void *value, size_t *valueSize)=0
virtual unsigned long | GetBytesTx () const =0
virtual unsigned long | GetBytesRx () const =0
virtual unsigned long | GetMessagesTx () const =0
virtual unsigned long | GetMessagesRx () const =0
virtual bool | SetSendTimeout (const int timeout, const std::string &address, const std::string &method)=0
virtual int | GetSendTimeout () const =0
virtual bool | SetReceiveTimeout (const int timeout, const std::string &address, const std::string &method)=0
virtual int | GetReceiveTimeout () const =0

The documentation for this class was generated from the following file:

- fairmq/FairMQSocket.h